<?php

/*
 * RCore
 * Author - rekmixa
 * E-mail - rekmixa@gmail.com
 * Site - http://wordads.ru
 */

require_once("inc/head.php");

/* Поиск такси */

$selected = $_COOKIE['selected'] ?? 0;
$city = city($selected);

echo '<div class="title">Поиск такси</div>
<div class="menu">
<form action="" method="POST">
<select id="country2">';

$sql = $connect->query("select * from `country`")->fetchAll();

foreach ($sql as $row) {

    echo '<option '.($city && $city[0] == $row['name'] ? 'selected' : '').' value="'.$row['id'].'">'.$row['name'].'</option>';

}

echo '</select>
<select name="city" id="city2"></select>
<input type="submit"value="Поиск">
</form></div>';

if (isset($_POST['city'])) {

    setcookie('selected', $_POST['city'], time() + 3600 * 24 * 365);

    header('Location: /');

}

if ($selected && $city) {

    $stmt_count_taxi = $connect->prepare("select count(*) from `users` where `city` = ?");
    $stmt_count_taxi->execute(array($selected));
    $count_taxi = $stmt_count_taxi->fetchColumn();

    echo '<div class="menu">Показаны запросы по региону: '.cityName($city).' ('.$count_taxi.')</div>';

    if ($count_taxi == 0) {
        echo '<div class="menu">Такси не найдено.</div>';
    } else {

        $page = new Pagination($count_taxi, 10);

        $data = $connect->prepare("select * from `users` where `city` = :selected order by `verify` desc, `id` desc limit :start, 10");
        $data->bindValue(':selected', $selected, PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="menu">';

            /* Инфо */

            echo '<div class="menu">
            '.($row['name'] ? 'Имя: '.$row['name'].'<br/>' : '').'
            Средняя стоимость поездки: <span class="wa-span-green">'.($row['price'] > 0 ? rub($row['price']) : 'не указано').'</span><br/>
            Автомобиль: <span class="wa-span-green">'.($row['car'] ? $row['car'] : 'не указано').'</span><br/>
            '.($row['verify'] ? '<div class="good">Верифицирован!</div>' : '').'
            </div>';

            /* Средняя оценка */

            $stmt_stars = $connect->prepare("select *, count(*) as `count`, sum(`star`) as `summa` from `review` where `game` = ?");
            $stmt_stars->execute(array($row['id']));
            $stars = $stmt_stars->fetch();
            $rating = $stars['count'] > 0 ? floor($stars['summa'] / $stars['count'] * 10) / 10 : 0;

            if ($rating)
                echo '<div class="menu">
                <b>Средняя оценка ('.$rating.', Голосов - '.$stars['count'].'):</b><br/>
                <img src="/img/star.'.round($rating).'.png" alt="star">
                </div>';

            /* Заказать */

            if ($row['b'])
                echo '<div class="forlink"><a href="/user/'.$row['id'].'" class="links">Заказать такси<div class="chi">Таксист свободен!</div></a></div>';
            else
                echo '<div class="menu"><div class="forbidden">Сейчас этот таксист не может принять заказ!</div></div>';

            echo '</div>';

        }

        $page->navigation();

    }

}

?>
<script>
$(function() {
    var country = $('#country2');
    var city = $('#city2');
    var selectCity2 = function() {
        $.ajax({
            type: 'GET',
            url: '/js/data.php',
            data: {did: 1, country: country.val(), selected: <?=$selected;?>},
            success: function(data) {
                city.html(data);
            }
        });
    };
    selectCity2();
    country.change(function() {
        selectCity2();
    });
});
</script>
<?

/* Меню сайта (для мобилок) */

echo '<div class="d-block d-md-none">';

    include("inc/menu.php");

echo '</div>';

require("inc/foot.php");
?>