<?php

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");
require($_SERVER["DOCUMENT_ROOT"]."/inc/counters.php");

if (isset($active)) {

    switch ($did) {

        case 1:

            $country = $_GET['country'] ?? 0;
            $selected = $_GET['selected'] ?? 0;

            $data = $connect->prepare("select * from `city` where `country` = ?");
            $data->execute(array($country));
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                echo '<option '.($row['id'] == $selected ? 'selected' : '').' value="'.$row['id'].'">'.$row['name'].'</option>';

            }

            break;

        case 2:

            // Быстрые уведомления

            echo '<a href="/notifications"><img src="/img/notif.png" alt="notif">Все уведомления</a>';

            if ($c_new_not == 0) {
                echo '<hr/>Новых уведомлений нет.';
            } else {

                $read = $connect->prepare("update `notifications` set `new` = '0' where `id` = ?");

                $data = $connect->prepare("select * from `notifications` where `new` = '1' and `uid` = :uid order by `id` desc limit 1");
                $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    $read->execute(array($row['id']));

                    echo '<hr/>
                    '.nl2br(smiles(bb(bblinks($row['text'])))).'<br/>
                    <div class="chi">'.daytime($row['time']).'</div>';

                }

                if ($c_new_not > 1) {

                    echo '<hr/><a data-noajax href="#" id="refreshNotif"><img src="/img/refresh.png" alt="refresh">Следующее</a>';

                    ?>
                    <script>
                        $('#refreshNotif').click(function() {
                            ajaxNotifs();
                                return false;
                        });
                    </script>
                    <?

                }

            }

            break;

        case 3:

            // Панель уведомлений

            $notifs = [
                // Админка
                $new_adm,
                // Уведомления
                $new_not,
                // Заявки в друзья
                $new_req,
                // Почта
                $new_mail,
                // Чат
                $new_chat
            ];

            echo json_encode($notifs);

            break;

        default:

            // если не указан did
            die('ERROR: UNKNOWN ID!');

    }

}

 ?>