<?php
$title = 'Профиль таксиста';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Профиль таксиста</div>';

    $city = city($user['city']);

    if (isset($_POST['profile'])) {
        $error = '';
        if (!empty($_POST['name']) && mb_strlen($_POST['name']) > 75) {
            $error.= 'Имя должно содержать не более 75 символов!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `name` = ?, `pol` = ?, `phone` = ?, `car` = ?, `city` = ?, `price` = ? where `id` = ?");
            if ($stmt->execute(array($_POST['name'], $_POST['pol'], $_POST['phone'], $_POST['car'], ($_POST['city'] ?? 0), floatval(abs($_POST['price'])), $user['id']))) {
                header('location: /taxist'); 
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Имя:<br/><input type="text" name="name" value="'.$user['name'].'"><br/>
    Пол:<br/><select name="pol"><option value="1">Мужской</option><option '.($user['pol'] == 2 ? 'selected' : '').' value="2">Женский</option></select><br/>
    Страна:<br/><select id="country1">';

    $sql = $connect->query("select * from `country`")->fetchAll();

    foreach ($sql as $row) {

        echo '<option '.($city && $city[0] == $row['name'] ? 'selected' : '').' value="'.$row['id'].'">'.$row['name'].'</option>';

    }

    echo '</select><br/>
    Город:<br/><select name="city" id="city1"></select><br/>
    Средняя стоимость поездки:<br/><input type="text" name="price" value="'.$user['price'].'"><br/>
    Автомобиль:<br/><input type="text" name="car" value="'.$user['car'].'"><br/>
    ТЕЛЕФОН (для связи с заказчиком):<br/><input type="text" name="phone" value="'.$user['phone'].'"><br/>
    <input type="submit" name="profile" value="Сохранить">
    </form></div>';

    ?>
    <script>
    $(function() {
        var country = $('#country1');
        var city = $('#city1');
        var selectCity1 = function() {
            $.ajax({
                type: 'GET',
                url: '/js/data.php',
                data: {did: 1, country: country.val(), selected: <?=$user['city'];?>},
                success: function(data) {
                    city.html(data);
                }
            });
        };
        selectCity1();
        country.change(function() {
            selectCity1();
        });
    });
    </script>
    <?

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>