-- 
-- Структура таблицы `review`
-- 
DROP TABLE IF EXISTS `review`;
CREATE TABLE IF NOT EXISTS `review` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `time` bigint(11) NOT NULL,
  `ip` varchar(250) NOT NULL,
  `game` bigint(20) UNSIGNED NOT NULL,
  `star` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `country`
-- 
DROP TABLE IF EXISTS `country`;
CREATE TABLE IF NOT EXISTS `country` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `country`
  (`id`, `name`)
    VALUES
  ('1', 'Азербайджан'),
  ('2', 'Англия'),
  ('3', 'Аргентина'),
  ('4', 'Австралия'),
  ('5', 'Австрия'),
  ('6', 'Бельгия'),
  ('7', 'Белоруссия'),
  ('8', 'Болгария'),
  ('9', 'Франция'),
  ('10', 'Нидерланды'),
  ('11', 'Греция'),
  ('12', 'Хорватия'),
  ('13', 'Индия'),
  ('14', 'Ирландия'),
  ('15', 'Испания'),
  ('16', 'Италия'),
  ('17', 'Казахстан'),
  ('18', 'Латвия'),
  ('19', 'Литва'),
  ('20', 'Молдавия'),
  ('21', 'Норвегия'),
  ('22', 'Польша'),
  ('23', 'Португалия'),
  ('24', 'Россия'),
  ('25', 'Румыния'),
  ('26', 'Словакия'),
  ('27', 'Словения'),
  ('28', 'США'),
  ('29', 'Венгрия');

-- 
-- Структура таблицы `city`
-- 
DROP TABLE IF EXISTS `city`;
CREATE TABLE IF NOT EXISTS `city` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `country` bigint(20) UNSIGNED NOT NULL,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `city`
  (`country`, `name`)
    VALUES
  ('1', 'Агджабеди'),
  ('1', 'Баку'),
  ('1', 'Барда'),
  ('1', 'Геокчай'),
  ('1', 'Губа'),
  ('1', 'Гянджа'),
  ('1', 'Джалилабад'),
  ('1', 'Евлах'),
  ('1', 'Имишли'),
  ('1', 'Ленкорань'),
  ('1', 'Мингечевир'),
  ('1', 'Нахичевань'),
  ('1', 'Салян'),
  ('1', 'Сумгайыт'),
  ('1', 'Хачмаз'),
  ('1', 'Хырдалан'),
  ('1', 'Шамкир'),
  ('1', 'Шеки'),
  ('1', 'Шемаха'),
  ('2', 'Белфаст'),
  ('2', 'Бирмингем'),
  ('2', 'Бристоль'),
  ('2', 'Брэдфорд'),
  ('2', 'Глазго'),
  ('2', 'Дерби'),
  ('2', 'Кардифф'),
  ('2', 'Кингстон-апон-Халл'),
  ('2', 'Ковентри'),
  ('2', 'Лестер'),
  ('2', 'Ливерпуль'),
  ('2', 'Лидс'),
  ('2', 'Лондон'),
  ('2', 'Манчестер'),
  ('2', 'Ноттингем'),
  ('2', 'Ньюкасл-апон-Тайн '),
  ('2', 'Плимут'),
  ('2', 'Сток-он-Трент'),
  ('2', 'Шеффилд'),
  ('3', 'Байя-Бланка'),
  ('3', 'Буэнос-Айрес'),
  ('3', 'Кордова'),
  ('3', 'Корриентес'),
  ('3', 'Ла-Плата'),
  ('3', 'Ла-Риоха'),
  ('3', 'Мар-дель-Плата'),
  ('3', 'Мерло'),
  ('3', 'Неукен'),
  ('3', 'Парана'),
  ('3', 'Пилар'),
  ('3', 'Посадас'),
  ('3', 'Ресистенсия'),
  ('3', 'Росарио'),
  ('3', 'Сальта'),
  ('3', 'Сан-Мигель-де-Тукуман'),
  ('3', 'Сан-Сальвадор-де-Жужуй'),
  ('3', 'Санта-Фе'),
  ('3', 'Сантьяго-дель-Эстеро'),
  ('4', 'Аделаида'),
  ('4', 'Брисбен'),
  ('4', 'Вуллонгонг'),
  ('4', 'Голд-Кост'),
  ('4', 'Госфорд'),
  ('4', 'Дарвин '),
  ('4', 'Джелонг'),
  ('4', 'Ипсуич'),
  ('4', 'Канберра'),
  ('4', 'Кэрнс'),
  ('4', 'Лейк-Маккуори'),
  ('4', 'Мельбурн'),
  ('4', 'Ньюкасл'),
  ('4', 'Олбери-Уодонга'),
  ('4', 'Перт'),
  ('4', 'Саншайн-Кост'),
  ('4', 'Сидней'),
  ('4', 'Таунсвилл'),
  ('4', 'Тувумба'),
  ('5', 'Баден'),
  ('5', 'Брегенц'),
  ('5', 'Вельс'),
  ('5', 'Вена'),
  ('5', 'Винер-Нойштадт'),
  ('5', 'Вольфсберг'),
  ('5', 'Грац'),
  ('5', 'Дорнбирн'),
  ('5', 'Зальцбург'),
  ('5', 'Инсбрук'),
  ('5', 'Клагенфурт'),
  ('5', 'Клостернойбург'),
  ('5', 'Кремс'),
  ('5', 'Леобен'),
  ('5', 'Линц'),
  ('5', 'Санкт-Пёльтен'),
  ('5', 'Траун'),
  ('5', 'Фельдкирх'),
  ('5', 'Филлах'),
  ('6', 'Алст'),
  ('6', 'Антверпен'),
  ('6', 'Брюгге'),
  ('6', 'Брюссель'),
  ('6', 'Генк'),
  ('6', 'Гент'),
  ('6', 'Кортрейк'),
  ('6', 'Ла-Лувьер'),
  ('6', 'Лёвен'),
  ('6', 'Льеж'),
  ('6', 'Мехелен'),
  ('6', 'Монс'),
  ('6', 'Намюр'),
  ('6', 'Остенде'),
  ('6', 'Руселаре'),
  ('6', 'Серен'),
  ('6', 'Синт-Никлас'),
  ('6', 'Турне'),
  ('6', 'Хасселт'),
  ('7', 'Барановичи'),
  ('7', 'Бобруйск'),
  ('7', 'Борисов'),
  ('7', 'Брест'),
  ('7', 'Витебск'),
  ('7', 'Гомель'),
  ('7', 'Гродно'),
  ('7', 'Жлобин'),
  ('7', 'Лида'),
  ('7', 'Минск'),
  ('7', 'Могилёв'),
  ('7', 'Мозырь'),
  ('7', 'Молодечно'),
  ('7', 'Название'),
  ('7', 'Новополоцк'),
  ('7', 'Орша'),
  ('7', 'Пинск'),
  ('7', 'Полоцк'),
  ('7', 'Речица'),
  ('7', 'Светлогорск'),
  ('8', 'Асеновград'),
  ('8', 'Благоевград '),
  ('8', 'Бургас '),
  ('8', 'Варна '),
  ('8', 'Велико-Тырново'),
  ('8', 'Видин'),
  ('8', 'Враца'),
  ('8', 'Габрово'),
  ('8', 'Добрич'),
  ('8', 'Пазарджик'),
  ('8', 'Перник '),
  ('8', 'Плевен'),
  ('8', 'Пловдив'),
  ('8', 'Русе'),
  ('8', 'Сливен'),
  ('8', 'София'),
  ('8', 'Стара-Загора'),
  ('8', 'Хасково'),
  ('8', 'Шумен '),
  ('9', 'Анже'),
  ('9', 'Бордо'),
  ('9', 'Виллербан'),
  ('9', 'Гавр'),
  ('9', 'Гренобль'),
  ('9', 'Дижон'),
  ('9', 'Лилль'),
  ('9', 'Лион'),
  ('9', 'Марсель'),
  ('9', 'Монпелье'),
  ('9', 'Нант'),
  ('9', 'Ницца'),
  ('9', 'Париж'),
  ('9', 'Реймс'),
  ('9', 'Ренн'),
  ('9', 'Сен-Дени'),
  ('9', 'Сент-Этьен'),
  ('9', 'Страсбург'),
  ('9', 'Тулон'),
  ('10', 'Алмере'),
  ('10', 'Амерсфорт'),
  ('10', 'Амстердам'),
  ('10', 'Апелдорн'),
  ('10', 'Арнем'),
  ('10', 'Бреда'),
  ('10', 'Гаага'),
  ('10', 'Гронинген'),
  ('10', 'Дордрехт'),
  ('10', 'Зволле'),
  ('10', 'Зутермер'),
  ('10', 'Маастрихт'),
  ('10', 'Неймеген'),
  ('10', 'Роттердам'),
  ('10', 'Тилбург'),
  ('10', 'Утрехт'),
  ('10', 'Харлем'),
  ('10', 'Хертогенбос'),
  ('10', 'Эйндховен'),
  ('11', 'Айя-Параскеви'),
  ('11', 'Александруполис'),
  ('11', 'Афины'),
  ('11', 'Ахарне'),
  ('11', 'Волос'),
  ('11', 'Ираклион'),
  ('11', 'Каламария'),
  ('11', 'Каллифея'),
  ('11', 'Килкис'),
  ('11', 'Ксанти'),
  ('11', 'Ларисса'),
  ('11', 'Никея'),
  ('11', 'Патры'),
  ('11', 'Перистери'),
  ('11', 'Пирей'),
  ('11', 'Салоники'),
  ('11', 'Серре'),
  ('11', 'Трикала'),
  ('11', 'Эвосмос'),
  ('12', 'Беловар'),
  ('12', 'Вараждин'),
  ('12', 'Велика-Горица'),
  ('12', 'Винковцы'),
  ('12', 'Вуковар'),
  ('12', 'Джяково'),
  ('12', 'Дубровник'),
  ('12', 'Загреб'),
  ('12', 'Задар'),
  ('12', 'Карловац'),
  ('12', 'Каштела'),
  ('12', 'Копривница'),
  ('12', 'Осиек'),
  ('12', 'Пожега'),
  ('12', 'Пула'),
  ('12', 'Риека'),
  ('12', 'Сисак'),
  ('12', 'Славонски-Брод'),
  ('12', 'Сплит'),
  ('13', 'Ахмадабад'),
  ('13', 'Бангалор'),
  ('13', 'Бхопал'),
  ('13', 'Вадодара'),
  ('13', 'Вишакхапатнам'),
  ('13', 'Газиабад'),
  ('13', 'Дели'),
  ('13', 'Джайпур'),
  ('13', 'Индаур'),
  ('13', 'Калькутта'),
  ('13', 'Канпур'),
  ('13', 'Лакхнау'),
  ('13', 'Мумбаи'),
  ('13', 'Нагпур'),
  ('13', 'Патна'),
  ('13', 'Пуна'),
  ('13', 'Сурат'),
  ('13', 'Тхане'),
  ('13', 'Хайдарабад '),
  ('14', 'Ан-Уавь'),
  ('14', 'Атлон'),
  ('14', 'Брей'),
  ('14', 'Голуэй'),
  ('14', 'Дандолк'),
  ('14', 'Дрихад-Нуа'),
  ('14', 'Дроэда'),
  ('14', 'Дублин'),
  ('14', 'Карлоу'),
  ('14', 'Килкенни'),
  ('14', 'Клонмел'),
  ('14', 'Корк'),
  ('14', 'Лимерик'),
  ('14', 'Маллингар'),
  ('14', 'Нейс'),
  ('14', 'Слайго'),
  ('14', 'Трали'),
  ('14', 'Уотерфорд'),
  ('14', 'Уэксфорд'),
  ('15', 'Аликанте'),
  ('15', 'Барселона'),
  ('15', 'Бильбао'),
  ('15', 'Валенсия'),
  ('15', 'Вальядолид'),
  ('15', 'Виго'),
  ('15', 'Витория'),
  ('15', 'Гранада'),
  ('15', 'Кордова'),
  ('15', 'Ла-Корунья'),
  ('15', 'Лас-Пальмас-де-Гран-Канария'),
  ('15', 'Мадрид'),
  ('15', 'Малага'),
  ('15', 'Мурсия'),
  ('15', 'Оспиталет-де-Льобрегат'),
  ('15', 'Пальма-де-Майорка'),
  ('15', 'Санта-Крус-де-Тенерифе'),
  ('15', 'Сарагоса'),
  ('15', 'Севилья'),
  ('16', 'Бари'),
  ('16', 'Болонья'),
  ('16', 'Брешиа'),
  ('16', 'Венеция'),
  ('16', 'Верона'),
  ('16', 'Генуя'),
  ('16', 'Катания'),
  ('16', 'Мессина'),
  ('16', 'Милан'),
  ('16', 'Модена'),
  ('16', 'Неаполь'),
  ('16', 'Падуя'),
  ('16', 'Палермо'),
  ('16', 'Прато'),
  ('16', 'Реджо-ди-Калабрия'),
  ('16', 'Рим'),
  ('16', 'Таранто'),
  ('16', 'Триест'),
  ('16', 'Турин'),
  ('17', 'Актау'),
  ('17', 'Актобе'),
  ('17', 'Алма-Ата'),
  ('17', 'Астана'),
  ('17', 'Атырау'),
  ('17', 'Караганда'),
  ('17', 'Кокшетау'),
  ('17', 'Костанай'),
  ('17', 'Кызылорда'),
  ('17', 'Павлодар'),
  ('17', 'Петропавловск'),
  ('17', 'Семей'),
  ('17', 'Талдыкорган'),
  ('17', 'Тараз'),
  ('17', 'Темиртау'),
  ('17', 'Туркестан'),
  ('17', 'Уральск'),
  ('17', 'Усть-Каменогорск'),
  ('17', 'Шымкент'),
  ('18', 'Бауска'),
  ('18', 'Валмиера'),
  ('18', 'Вентспилс'),
  ('18', 'Даугавпилс'),
  ('18', 'Добеле'),
  ('18', 'Екабпилс'),
  ('18', 'Елгава'),
  ('18', 'Кулдига'),
  ('18', 'Лиепая'),
  ('18', 'Огре'),
  ('18', 'Олайне'),
  ('18', 'Резекне'),
  ('18', 'Рига'),
  ('18', 'Саласпилс'),
  ('18', 'Салдус'),
  ('18', 'Сигулда'),
  ('18', 'Талсы'),
  ('18', 'Тукумс'),
  ('18', 'Цесис'),
  ('19', 'Алитус'),
  ('19', 'Вильнюс'),
  ('19', 'Висагинас'),
  ('19', 'Йонава'),
  ('19', 'Каунас'),
  ('19', 'Кедайняй'),
  ('19', 'Клайпеда'),
  ('19', 'Крятинга'),
  ('19', 'Мажейкяй'),
  ('19', 'Мариямполе'),
  ('19', 'Панявежис'),
  ('19', 'Плунге'),
  ('19', 'Радвилишкис'),
  ('19', 'Расейняй'),
  ('19', 'Таураге'),
  ('19', 'Тельшяй'),
  ('19', 'Укмярге'),
  ('19', 'Утяна'),
  ('19', 'Шилуте'),
  ('20', 'Бельцы'),
  ('20', 'Бендеры'),
  ('20', 'Дрокия'),
  ('20', 'Дубоссары'),
  ('20', 'Дурлешты'),
  ('20', 'Единец'),
  ('20', 'Каушаны'),
  ('20', 'Кахул'),
  ('20', 'Кишинёв'),
  ('20', 'Комрат'),
  ('20', 'Орхей'),
  ('20', 'Рыбница'),
  ('20', 'Слободзея'),
  ('20', 'Сороки'),
  ('20', 'Страшены'),
  ('20', 'Тирасполь'),
  ('20', 'Унгень'),
  ('20', 'Фалешты'),
  ('20', 'Хынчешты'),
  ('21', 'Арендал'),
  ('21', 'Берген'),
  ('21', 'Будё'),
  ('21', 'Драммен'),
  ('21', 'Кристиансанн'),
  ('21', 'Купервик'),
  ('21', 'Ларвик'),
  ('21', 'Лиллестрём'),
  ('21', 'Окрехамн'),
  ('21', 'Олесунн'),
  ('21', 'Осло'),
  ('21', 'Сандвика'),
  ('21', 'Саннес'),
  ('21', 'Саннефьорд'),
  ('21', 'Сарпсборг'),
  ('21', 'Ставангер'),
  ('21', 'Тромсё'),
  ('21', 'Тронхейм'),
  ('21', 'Фредрикстад'),
  ('22', 'Белосток'),
  ('22', 'Быдгощ'),
  ('22', 'Бытом'),
  ('22', 'Варшава'),
  ('22', 'Вроцлав'),
  ('22', 'Гданьск'),
  ('22', 'Гдыня'),
  ('22', 'Гливице'),
  ('22', 'Забже'),
  ('22', 'Катовице'),
  ('22', 'Кельце'),
  ('22', 'Краков'),
  ('22', 'Лодзь'),
  ('22', 'Люблин'),
  ('22', 'Познань'),
  ('22', 'Радом'),
  ('22', 'Сосновец'),
  ('22', 'Торунь'),
  ('22', 'Ченстохова'),
  ('23', 'Авейру'),
  ('23', 'Агуалва-Касен'),
  ('23', 'Алмада'),
  ('23', 'Амадора'),
  ('23', 'Амора'),
  ('23', 'Баррейру'),
  ('23', 'Брага'),
  ('23', 'Визеу'),
  ('23', 'Вила-Нова-ди-Гая'),
  ('23', 'Гимарайнш'),
  ('23', 'Келуш'),
  ('23', 'Коимбра'),
  ('23', 'Лейрия'),
  ('23', 'Лиссабон'),
  ('23', 'Матозиньюш'),
  ('23', 'Одивелаш'),
  ('23', 'Порту'),
  ('23', 'Риу-Тинту'),
  ('23', 'Сетубал'),
  ('24', 'Барнаул'),
  ('24', 'Волгоград'),
  ('24', 'Воронеж'),
  ('24', 'Екатеринбург'),
  ('24', 'Казань'),
  ('24', 'Краснодар'),
  ('24', 'Красноярск'),
  ('24', 'Махачкала'),
  ('24', 'Москва'),
  ('24', 'Нижний Новгород'),
  ('24', 'Новосибирск'),
  ('24', 'Омск'),
  ('24', 'Пермь'),
  ('24', 'Ростов-на-Дону'),
  ('24', 'Самара'),
  ('24', 'Санкт-Петербург'),
  ('24', 'Саратов'),
  ('24', 'Тольятти'),
  ('24', 'Уфа'),
  ('25', 'Арад'),
  ('25', 'Бакэу'),
  ('25', 'Бая-Маре'),
  ('25', 'Ботошани'),
  ('25', 'Брашов'),
  ('25', 'Брэила'),
  ('25', 'Бузэу'),
  ('25', 'Бухарест'),
  ('25', 'Галац'),
  ('25', 'Клуж-Напока'),
  ('25', 'Констанца'),
  ('25', 'Крайова'),
  ('25', 'Орадя'),
  ('25', 'Питешти'),
  ('25', 'Плоешти'),
  ('25', 'Сату-Маре'),
  ('25', 'Сибиу'),
  ('25', 'Тимишоара'),
  ('25', 'Тыргу-Муреш'),
  ('26', 'Банска-Бистрица'),
  ('26', 'Бардеёв'),
  ('26', 'Братислава'),
  ('26', 'Гуменне'),
  ('26', 'Жилина'),
  ('26', 'Зволен'),
  ('26', 'Комарно'),
  ('26', 'Кошице'),
  ('26', 'Левице'),
  ('26', 'Мартин'),
  ('26', 'Михаловце'),
  ('26', 'Нитра'),
  ('26', 'Нове Замки'),
  ('26', 'Поважска-Бистрица'),
  ('26', 'Попрад'),
  ('26', 'Прешов'),
  ('26', 'Прьевидза'),
  ('26', 'Спишска Нова Вес'),
  ('26', 'Тренчин'),
  ('27', 'Веленье'),
  ('27', 'Домжале'),
  ('27', 'Есенице'),
  ('27', 'Изола'),
  ('27', 'Камник'),
  ('27', 'Копер'),
  ('27', 'Кочевье'),
  ('27', 'Крань'),
  ('27', 'Любляна'),
  ('27', 'Марибор'),
  ('27', 'Мурска-Собота'),
  ('27', 'Нова-Горица'),
  ('27', 'Ново-Место'),
  ('27', 'Постойна'),
  ('27', 'Птуй'),
  ('27', 'Равне-на-Корошкем'),
  ('27', 'Словень-Градец'),
  ('27', 'Трбовле'),
  ('27', 'Целе'),
  ('28', 'Балтимор'),
  ('28', 'Даллас'),
  ('28', 'Детройт'),
  ('28', 'Джэксонвилл'),
  ('28', 'Индианаполис'),
  ('28', 'Колумбус'),
  ('28', 'Лос-Анджелес'),
  ('28', 'Мемфис'),
  ('28', 'Нью-Йорк'),
  ('28', 'Остин'),
  ('28', 'Сан-Антонио'),
  ('28', 'Сан-Диего'),
  ('28', 'Сан-Франциско'),
  ('28', 'Сан-Хосе'),
  ('28', 'Филадельфия'),
  ('28', 'Финикс'),
  ('28', 'Форт-Уэрт'),
  ('28', 'Хьюстон'),
  ('28', 'Чикаго'),
  ('29', 'Бекешчаба'),
  ('29', 'Будапешт'),
  ('29', 'Веспрем'),
  ('29', 'Дебрецен '),
  ('29', 'Дьёр '),
  ('29', 'Залаэгерсег'),
  ('29', 'Капошвар'),
  ('29', 'Кечкемет'),
  ('29', 'Мишкольц'),
  ('29', 'Надьканижа'),
  ('29', 'Ньиредьхаза'),
  ('29', 'Печ'),
  ('29', 'Сегед '),
  ('29', 'Секешфехервар '),
  ('29', 'Сольнок'),
  ('29', 'Сомбатхей'),
  ('29', 'Татабанья '),
  ('29', 'Шопрон'),
  ('29', 'Эгер');

-- 
-- Структура таблицы `authlog`
-- 
DROP TABLE IF EXISTS `authlog`;
CREATE TABLE IF NOT EXISTS `authlog` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `key` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `lasttime` bigint(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `ua` varchar(250) NOT NULL,
  `attempts` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `speedpass`
-- 
DROP TABLE IF EXISTS `speedpass`;
CREATE TABLE IF NOT EXISTS `speedpass` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `key` text NOT NULL,
  `time` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `vote`
-- 
DROP TABLE IF EXISTS `vote`;
CREATE TABLE IF NOT EXISTS `vote` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(500) NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL,
  `anon` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `answers`
-- 
DROP TABLE IF EXISTS `answers`;
CREATE TABLE IF NOT EXISTS `answers` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(250) NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `choice`
-- 
DROP TABLE IF EXISTS `choice`;
CREATE TABLE IF NOT EXISTS `choice` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `ans` bigint(20) UNSIGNED NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `notifications`
-- 
DROP TABLE IF EXISTS `notifications`;
CREATE TABLE IF NOT EXISTS `notifications` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `new` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `respect`
-- 
DROP TABLE IF EXISTS `respect`;
CREATE TABLE IF NOT EXISTS `respect` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `review` tinyint(3) NOT NULL,
  `type` tinyint(3) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `blacklist`
-- 
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE IF NOT EXISTS `blacklist` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `black` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `news`
-- 
DROP TABLE IF EXISTS `news`;
CREATE TABLE IF NOT EXISTS `news` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `time` bigint(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `text` text NOT NULL, 
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `comments`
-- 
DROP TABLE IF EXISTS `comments`;
CREATE TABLE IF NOT EXISTS `comments` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `date` bigint(11) NOT NULL,
  `read` tinyint(3) NOT NULL DEFAULT '0',
  `uid` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `friend`
-- 
DROP TABLE IF EXISTS `friend`;
CREATE TABLE IF NOT EXISTS `friend` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `point` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `contacts`
-- 
DROP TABLE IF EXISTS `contacts`;
CREATE TABLE IF NOT EXISTS `contacts` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `time` bigint(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `mail`
-- 
DROP TABLE IF EXISTS `mail`;
CREATE TABLE IF NOT EXISTS `mail` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `read` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `plus`
-- 
DROP TABLE IF EXISTS `plus`;
CREATE TABLE IF NOT EXISTS `plus` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `donater` bigint(20) UNSIGNED NOT NULL,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `sum` float(11,2) NOT NULL,
  `num` int(11) NOT NULL,
  `time` bigint(11) NOT NULL,
  `type` tinyint(3) NOT NULL,
  `status` tinyint(3) NOT NULL,
  `thanks` tinyint(3) NOT NULL,
  `comment` varchar(500) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `payment`
-- 
DROP TABLE IF EXISTS `payment`;
CREATE TABLE IF NOT EXISTS `payment` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `money` float(11,2) NOT NULL,
  `wmr` varchar(13) NOT NULL,
  `time` bigint(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `kat`
-- 
DROP TABLE IF EXISTS `kat`;
CREATE TABLE IF NOT EXISTS `kat` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(75) NOT NULL,
  `type` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `users`
-- 
DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `datereg` bigint(11) NOT NULL,
  `login` varchar(25) NOT NULL,
  `pass` text NOT NULL,
  `email` varchar(35) NOT NULL,
  `active` tinyint(3) NOT NULL,
  `captcha` bigint(11) NOT NULL,
  `attempts` int(11) NOT NULL,
  `where` varchar(250) NOT NULL,
  `wid` bigint(20) NOT NULL,
  `timezone` varchar(99) NOT NULL,
  `status` varchar(250) NOT NULL,
  `birth` varchar(50) NOT NULL,
  `hd` tinyint(3) NOT NULL DEFAULT '1',
  `info` varchar(250) NOT NULL,
  `phone` varchar(250) NOT NULL,
  `pol` tinyint(3) NOT NULL,
  `b` tinyint(3) NOT NULL DEFAULT '1',
  `name` varchar(75) NOT NULL,
  `wmr` varchar(15) NOT NULL,
  `wmid` varchar(15) NOT NULL,
  `admin` tinyint(3) NOT NULL DEFAULT '0',
  `adm_pos` varchar(150) NOT NULL,
  `car` varchar(750) NOT NULL,
  `color1` varchar(25) NOT NULL,
  `color2` varchar(25) NOT NULL,
  `fmail` tinyint(3) NOT NULL DEFAULT '1',
  `verify` tinyint(3) NOT NULL DEFAULT '0',
  `price` float(11,2) NOT NULL,
  `ban` bigint(11) NOT NULL,
  `ref` bigint(20) UNSIGNED NOT NULL,
  `city` bigint(20) UNSIGNED NOT NULL,
  `money` float(11,2) NOT NULL,
  `rating` float(11,1) NOT NULL,
  `chatlog` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;